/***************************************************************************
 *            stp_timer.h
 *
 *  Wed Jun 15 18:10:10 2005
 *  Copyright  2005  Carbone Francesco
 *  trini4mail@yahoo.it
 *	franci.carbone@gmail.com
 ****************************************************************************/


#include <sys/types.h>
#include <stdlib.h>


#define active	1
#define notactive 0

/* Timer data structure */
struct  stp_timer
{	
	uint16_t value;		// 	timeout values
	uint16_t flag;		/* 	flag value set to active or notactive 
						 *	indicating the state of the timer
						 */
};


/*--Timer utility functions--*/
	
void 		stp_start_timer( struct stp_timer *, uint16_t);
void 		stp_stop_timer( struct stp_timer *);
int			stp_timer_expired( struct stp_timer *);
uint16_t 	stp_get_timer_value(struct stp_timer );
int			stp_is_timer_active(struct stp_timer *);
